package com.reyun.model;


import java.util.Map;

/**
 * Created by nolan on 13/03/2017.
 * description:
 */
public class EditionPricingLevel4Web {

	/**
	 * 数据量
	 **/
	private Integer appNum;            //创建应用数
	private Integer dataConversionFunnelNum;    // 转化漏斗数
	private Integer dataUserGroupNum;            //用户分群数
	
	private Boolean funcMngRealtimeCallback;//推广实时回调


	/**
	 * 平台功能
	 *
	 * @return
	 */
	private Boolean platformExport;//数据导出
	private Boolean platformServiceSupport; //7*24小时客户服务

    //AB test处理
    private Map<String,Boolean> abTest;
	


	public EditionPricingLevel4Web(PackageType level) {
		this.appNum = level.getAppNum();
		this.dataConversionFunnelNum = level.getDataConversionFunnelNum();
		this.dataUserGroupNum = level.getDataUserGroupNum();

		this.funcMngRealtimeCallback = level.getFuncMngRealtimeCallback();
		this.platformExport = level.getPlatformExport();
		this.platformServiceSupport = level.getPlatformServiceSupport();
	}

	public Integer getAppNum() {
		return appNum;
	}

	public void setAppNum(Integer appNum) {
		this.appNum = appNum;
	}

	public Integer getDataConversionFunnelNum() {
		return dataConversionFunnelNum;
	}
	public void setDataConversionFunnelNum(Integer dataConversionFunnelNum) {
		this.dataConversionFunnelNum = dataConversionFunnelNum;
	}
	public Integer getDataUserGroupNum() {
		return dataUserGroupNum;
	}
	public void setDataUserGroupNum(Integer dataUserGroupNum) {
		this.dataUserGroupNum = dataUserGroupNum;
	}

	public Boolean getFuncMngRealtimeCallback() {
		return funcMngRealtimeCallback;
	}

	public void setFuncMngRealtimeCallback(Boolean funcMngRealtimeCallback) {
		this.funcMngRealtimeCallback = funcMngRealtimeCallback;
	}

	public Boolean getPlatformExport() {
		return platformExport;
	}

	public void setPlatformExport(Boolean platformExport) {
		this.platformExport = platformExport;
	}

	public Boolean getPlatformServiceSupport() {
		return platformServiceSupport;
	}

	public void setPlatformServiceSupport(Boolean platformServiceSupport) {
		this.platformServiceSupport = platformServiceSupport;
	}

    public Map<String, Boolean> getAbTest() {
        return abTest;
    }

    public void setAbTest(Map<String, Boolean> abTest) {
        this.abTest = abTest;
    }
}
